#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ixset-typed
version: 0.3.1.1
id: ixset-typed-0.3.1.1-5IhvgYvc8TLGaxvHVjmZIY
key: ixset-typed-0.3.1.1-5IhvgYvc8TLGaxvHVjmZIY
license: BSD3
maintainer: Andres Löh <andres@well-typed.com>
synopsis: Efficient relational queries on Haskell sets.
description:
    This Haskell package provides a data structure of sets that are indexed
    by potentially multiple indices.
    .
    Sets can be created, modified, and queried in various ways.
    .
    The package is a variant of the <https://hackage.haskell.org/package/ixset ixset>
    package. The ixset package makes use
    of run-time type information to find a suitable index on a query, resulting
    in possible run-time errors when no suitable index exists. In ixset-typed,
    the types of all indices available or tracked in the type system.
    Thus, ixset-typed should be safer to use than ixset, but in turn requires
    more GHC extensions.
    .
    At the moment, the two packages are relatively compatible. As a consequence
    of the more precise types, a few manual tweaks are necessary when switching
    from one to the other, but the interface is mostly the same.
category: Data Structures
author: Andres Löh, Happstack team, HAppS LLC
exposed: True
indefinite: False
exposed-modules:
    Data.IxSet.Typed Data.IxSet.Typed.Ix
abi: 7faaa1d811b5d70452ae9aa733dc5557
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/ixset-typed-0.3.1.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/ixset-typed-0.3.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/ixset-typed-0.3.1.1
hs-libraries: HSixset-typed-0.3.1.1-5IhvgYvc8TLGaxvHVjmZIY
depends:
    base-4.10.1.0 containers-0.5.10.2 deepseq-1.4.3.0
    safecopy-0.9.4.1-9dmOUWXfFw69kERv6M1Aey
    syb-0.7-3Lq8MQxmYP07qktjI1jxu0 template-haskell-2.12.0.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             safecopy-0.9.4.1-9dmOUWXfFw69kERv6M1Aey=bed309fe0a38be3d317033640c15f443
             syb-0.7-3Lq8MQxmYP07qktjI1jxu0=06df45b1c27c5cef935930b2f87d2689
             template-haskell-2.12.0.0=2257617827b0258ca46e933b344007b7
haddock-interfaces: /usr/share/doc/haskell-ixset-typed/html/ixset-typed.haddock
haddock-html: /usr/share/doc/haskell-ixset-typed/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

